package com.inspect.metadata.patrolpointmnt.service.impl;

import com.inspect.metadata.patrolpointmnt.domain.vo.DevicePointModelItem;
import com.inspect.metadata.patrolpointmnt.service.IBasedataDevicePointModelService;

import java.util.Iterator;
import java.util.List;

import org.springframework.stereotype.Service;

@Service
public class BasedataDevicePointModelServiceImpl implements IBasedataDevicePointModelService {

    public void handDevicePointModel(List<DevicePointModelItem> list) {
        DevicePointModelItem devicePointModel;
        if (!list.isEmpty()) {
            for (DevicePointModelItem item : list) {
                devicePointModel = item;
                String area_id = devicePointModel.getArea_id();
                String area_name = devicePointModel.getArea_name();
                String bay_id = devicePointModel.getBay_id();
                String bay_name = devicePointModel.getBay_name();
                String main_device_id = devicePointModel.getMain_device_id();
                String main_device_name = devicePointModel.getMain_device_name();
                String component_id = devicePointModel.getComponent_id();
                String component_name = devicePointModel.getComponent_name();
                String device_id = devicePointModel.getDevice_id();
                String device_name = devicePointModel.getDevice_name();
                String device_type = devicePointModel.getDevice_type();
                String meter_type = devicePointModel.getMeter_type();
                String appearance_type = devicePointModel.getAppearance_type();
                String save_type_list = devicePointModel.getSave_type_list();
                String recognition_type_list = devicePointModel.getRecognition_type_list();
                String phase = devicePointModel.getPhase();
                String device_info = devicePointModel.getDevice_info();
                String data_type = devicePointModel.getData_type();
                String lower_value = devicePointModel.getLower_value();
                String upper_value = devicePointModel.getUpper_value();
            }
        }

    }
}
